/* A Bison parser, made by GNU Bison 2.1.  */

/* Skeleton parser for Yacc-like parsing with Bison,
   Copyright (C) 1984, 1989, 1990, 2000, 2001, 2002, 2003, 2004, 2005 Free Software Foundation, Inc.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 51 Franklin Street, Fifth Floor,
   Boston, MA 02110-1301, USA.  */

/* As a special exception, when this file is copied by Bison into a
   Bison output file, you may use that output file without restriction.
   This special exception was added by the Free Software Foundation
   in version 1.24 of Bison.  */

/* Tokens.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
   /* Put the tokens into the symbol table, so that GDB and other debuggers
      know about them.  */
   enum yytokentype {
     STRING = 258,
     LINE = 259,
     INTERACT = 260,
     SOURCE = 261,
     AND = 262,
     AS = 263,
     CONST = 264,
     DEF = 265,
     DIV = 266,
     ELSE = 267,
     EXTERN = 268,
     IF = 269,
     IMPORT = 270,
     INCLUDE = 271,
     MOD = 272,
     NOT = 273,
     OR = 274,
     OTHERWISE = 275,
     PRIVATE = 276,
     PUBLIC = 277,
     SPECIAL = 278,
     THEN = 279,
     TYPE = 280,
     UNDEF = 281,
     VAR = 282,
     WHERE = 283,
     DOTDOT = 284,
     CAT = 285,
     DBAR = 286,
     LEQ = 287,
     GEQ = 288,
     NEQ = 289,
     OP0 = 290,
     OP1 = 291,
     OP2 = 292,
     OP3 = 293,
     OP4 = 294,
     OP5 = 295,
     OP6 = 296,
     OP7 = 297,
     OP8 = 298,
     OP9 = 299,
     _DEF_ = 300,
     _UNDEF_ = 301,
     _IMPORT_ = 302,
     _COPYING_ = 303,
     _HELP_ = 304,
     _EDIT_ = 305,
     _PATH_ = 306,
     _PROMPT_ = 307,
     _HISTFILE_ = 308,
     _HISTSIZE_ = 309,
     _STACKSIZE_ = 310,
     _MEMSIZE_ = 311,
     _STATS_ = 312,
     _RUN_ = 313,
     _SAVE_ = 314,
     _LOAD_ = 315,
     _CLEAR_ = 316,
     _PROFILE_ = 317,
     _BREAK_ = 318,
     _TBREAK_ = 319,
     _DEBUG_ = 320,
     _UNPARSE_ = 321,
     _ECHO_ = 322,
     _CHDIR_ = 323,
     _PWD_ = 324,
     _LS_ = 325,
     _WHICH_ = 326,
     _SOURCE_ = 327,
     _WHO_ = 328,
     _WHOS_ = 329,
     _IMPORTS_ = 330,
     _MODULES_ = 331,
     _COMPLETION_MATCHES_ = 332,
     _DEC_ = 333,
     _HEX_ = 334,
     _OCT_ = 335,
     _STD_ = 336,
     _SCI_ = 337,
     _FIX_ = 338,
     _FORMAT_ = 339,
     XID = 340,
     ID = 341,
     STR = 342,
     INT = 343,
     FLOAT = 344,
     ARG = 345,
     ERRTOK = 346,
     ARGERR = 347,
     STRERR = 348
   };
#endif
/* Tokens.  */
#define STRING 258
#define LINE 259
#define INTERACT 260
#define SOURCE 261
#define AND 262
#define AS 263
#define CONST 264
#define DEF 265
#define DIV 266
#define ELSE 267
#define EXTERN 268
#define IF 269
#define IMPORT 270
#define INCLUDE 271
#define MOD 272
#define NOT 273
#define OR 274
#define OTHERWISE 275
#define PRIVATE 276
#define PUBLIC 277
#define SPECIAL 278
#define THEN 279
#define TYPE 280
#define UNDEF 281
#define VAR 282
#define WHERE 283
#define DOTDOT 284
#define CAT 285
#define DBAR 286
#define LEQ 287
#define GEQ 288
#define NEQ 289
#define OP0 290
#define OP1 291
#define OP2 292
#define OP3 293
#define OP4 294
#define OP5 295
#define OP6 296
#define OP7 297
#define OP8 298
#define OP9 299
#define _DEF_ 300
#define _UNDEF_ 301
#define _IMPORT_ 302
#define _COPYING_ 303
#define _HELP_ 304
#define _EDIT_ 305
#define _PATH_ 306
#define _PROMPT_ 307
#define _HISTFILE_ 308
#define _HISTSIZE_ 309
#define _STACKSIZE_ 310
#define _MEMSIZE_ 311
#define _STATS_ 312
#define _RUN_ 313
#define _SAVE_ 314
#define _LOAD_ 315
#define _CLEAR_ 316
#define _PROFILE_ 317
#define _BREAK_ 318
#define _TBREAK_ 319
#define _DEBUG_ 320
#define _UNPARSE_ 321
#define _ECHO_ 322
#define _CHDIR_ 323
#define _PWD_ 324
#define _LS_ 325
#define _WHICH_ 326
#define _SOURCE_ 327
#define _WHO_ 328
#define _WHOS_ 329
#define _IMPORTS_ 330
#define _MODULES_ 331
#define _COMPLETION_MATCHES_ 332
#define _DEC_ 333
#define _HEX_ 334
#define _OCT_ 335
#define _STD_ 336
#define _SCI_ 337
#define _FIX_ 338
#define _FORMAT_ 339
#define XID 340
#define ID 341
#define STR 342
#define INT 343
#define FLOAT 344
#define ARG 345
#define ERRTOK 346
#define ARGERR 347
#define STRERR 348




#if ! defined (YYSTYPE) && ! defined (YYSTYPE_IS_DECLARED)
#line 92 "qmparse.y"
typedef union YYSTYPE {
  int ival;
  mpz_t zval;
  double fval;
  char *sval;
  EXPR *xval;
  struct {
    int n, m;
  } lval;
  struct {
    char **v;
    int c;
  } aval;
} YYSTYPE;
/* Line 1447 of yacc.c.  */
#line 239 "qmparse.h"
# define yystype YYSTYPE /* obsolescent; will be withdrawn */
# define YYSTYPE_IS_DECLARED 1
# define YYSTYPE_IS_TRIVIAL 1
#endif

extern YYSTYPE yylval;



